Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.query
Class UpdateBatchQuery

    java.lang.Object
      org.apache.cayenne.query.BatchQuery
          org.apache.cayenne.query.UpdateBatchQuery

All Implemented Interfaces:
  java.io.Serializable, Query

    public class UpdateBatchQuery

extends BatchQuery

Batched UPDATE query.

Author:
  Andriy Shapochka
See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `objectIds`
`protected java.util.List` | `qualifierSnapshots`
`protected java.util.List` | `updateSnapshots`
`protected boolean` | `usingOptimisticLocking`

Fields inherited from class org.apache.cayenne.query.BatchQuery
`batchIndex, dbEntity, name`

Constructor Summary
`UpdateBatchQuery(DbEntity dbEntity, java.util.List qualifierAttributes, java.util.List updatedAttribute, java.util.Collection nullQualifierNames, int batchCapacity)` Creates new UpdateBatchQuery.

Method Summary
`void` | `add(java.util.Map qualifierSnapshot, java.util.Map updateSnapshot)` Adds a parameter row to the batch.
`void` | `add(java.util.Map qualifierSnapshot, java.util.Map updateSnapshot, ObjectId id)` Adds a parameter row to the batch.
`java.util.Map` | `getCurrentQualifier()` Returns a snapshot of the current qualifier values.
`java.util.List` | `getDbAttributes()` Returns a list of DbAttributes describing batch parameters.
`ObjectId` | `getObjectId()` Returns an ObjectId associated with the current batch iteration.
`java.util.List` | `getQualifierAttributes()`
`java.util.List` | `getUpdatedAttributes()`
`java.lang.Object` | `getValue(int dbAttributeIndex)` Returns a value at a given index for the current batch iteration.
`boolean` | `isNull(DbAttribute attribute)` Returns true if a given attribute always has a null value in the batch.
`boolean` | `isUsingOptimisticLocking()` Returns true if the batch query uses optimistic locking.
`void` | `setUsingOptimisticLocking(boolean usingOptimisticLocking)`
`int` | `size()` Returns the number of parameter rows in a batch.

Methods inherited from class org.apache.cayenne.query.BatchQuery
`createSQLAction, getDbEntity, getMetaData, getName, getObject, getRoot, getValue, getValuesForUpdateParameters, isEmpty, next, reset, route, setName, setRoot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objectIds

    protected java.util.List objectIds

Since:
  1.2

### qualifierSnapshots

    protected java.util.List qualifierSnapshots

### updateSnapshots

    protected java.util.List updateSnapshots

### usingOptimisticLocking

    protected boolean usingOptimisticLocking

Constructor Detail

### UpdateBatchQuery

    public UpdateBatchQuery(DbEntity dbEntity,
                            java.util.List qualifierAttributes,
                            java.util.List updatedAttribute,
                            java.util.Collection nullQualifierNames,
                            int batchCapacity)

  Creates new UpdateBatchQuery.

  Parameters:
    `dbEntity` - Table or view to update.
    `qualifierAttributes` - DbAttributes used in the WHERE clause.
    `nullQualifierNames` - DbAttribute names in the WHERE clause that have null values.
    `updatedAttribute` - DbAttributes describing updated columns.
    `batchCapacity` - Estimated size of the batch.

Method Detail

### isNull

    public boolean isNull(DbAttribute attribute)

  Returns true if a given attribute always has a null value in the batch.

  Since:
    1.1

### isUsingOptimisticLocking

    public boolean isUsingOptimisticLocking()

  Returns true if the batch query uses optimistic locking.

  Overrides:
    `isUsingOptimisticLocking` in class `BatchQuery`
  Since:
    1.1

### setUsingOptimisticLocking

    public void setUsingOptimisticLocking(boolean usingOptimisticLocking)

  Since:
    1.1

### getValue

    public java.lang.Object getValue(int dbAttributeIndex)

  Description copied from class: `BatchQuery`
  Returns a value at a given index for the current batch iteration.

  Specified by:
    `getValue` in class `BatchQuery`

### add

    public void add(java.util.Map qualifierSnapshot,
                    java.util.Map updateSnapshot)

  Adds a parameter row to the batch.

### add

    public void add(java.util.Map qualifierSnapshot,
                    java.util.Map updateSnapshot,
                    ObjectId id)

  Adds a parameter row to the batch.

  Since:
    1.2

### size

    public int size()

  Description copied from class: `BatchQuery`
  Returns the number of parameter rows in a batch.

  Specified by:
    `size` in class `BatchQuery`

### getDbAttributes

    public java.util.List getDbAttributes()

  Description copied from class: `BatchQuery`
  Returns a list of DbAttributes describing batch parameters.

  Specified by:
    `getDbAttributes` in class `BatchQuery`

### getUpdatedAttributes

    public java.util.List getUpdatedAttributes()

  Since:
    1.1

### getQualifierAttributes

    public java.util.List getQualifierAttributes()

  Since:
    1.1

### getCurrentQualifier

    public java.util.Map getCurrentQualifier()

  Returns a snapshot of the current qualifier values.

  Since:
    1.1

### getObjectId

    public ObjectId getObjectId()

  Returns an ObjectId associated with the current batch iteration. Used internally by Cayenne to match current iteration with a specific object and assign it generated keys.

  Overrides:
    `getObjectId` in class `BatchQuery`
  Since:
    1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.